# 腾讯云实时音视频 TRTC SDK

## 产品介绍

腾讯实时音视频（Tencent Real-Time Communication，TRTC），将腾讯多年来在网络与音视频技术上的深度积累，以多人音视频通话和低延时互动直播两大场景化方案，通过腾讯云服务向开发者开放，致力于帮助开发者快速搭建低成本、低延时、高品质的音视频互动解决方案，[更多](https://cloud.tencent.com/document/product/647/16788)...

> TRTC SDK 支持Web、Android、iOS、Windows以及Flutter、小程序等所有主流平台， [更多平台](https://github.com/LiteAVSDK?q=TRTC_&type=all&sort=)...



## 目录说明

```bash
├─ TRTCScenesDemo                  // TRTC 场景化方案示例代码
|  ├─ trtc-calling-miniapp         // 演示 TRTC 双人语音通话与视频通话场景的事例代码
├─ TRTCSimpleDemo                  // TRTC 基础功能演示代码
|  ├─ pages                        // 微信小程序页面文件夹
|  |  ├─ index                     // 首页
|  |  ├─ meeting                   // 演示 TRTC 多人会议的示例代码
|  |  ├─ videocall                 // 演示 TRTC 双人通话的示例代码
|  |  ├─ voice-room                // 演示 TRTC 语音聊天室的示例代码
```



## 联系我们
- 如果你遇到了困难，可以先参阅 [常见问题](https://cloud.tencent.com/document/product/647/43018)；

- 如果你想了解TRTC SDK在复杂场景下的应用，可以参考[更多场景案例](https://cloud.tencent.com/document/product/647/57486)；

- 完整的 API 文档见 [SDK 的 API 文档](https://cloud.tencent.com/document/product/647/17018)；
- 如果需要售后技术支持, 你可以点击[这里](https://cloud.tencent.com/document/product/647/19906)；
- 如果发现了示例代码的 bug，欢迎提交 issue；